Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRXlsAbstractExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRXlsAbstractExporterParameter

Direct Known Subclasses:
  JExcelApiExporterParameter, JRXlsExporterParameter

    public class JRXlsAbstractExporterParameter

extends JRExporterParameter

Contains parameters useful for export in XLS format.

The XLS exporter can send data to an output stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

Version:
  $Id: JRXlsAbstractExporterParameter.java 4001 2010-10-22 09:32:22Z shertage $
Author:
  Sanda Zaharia (shertage@users.sourceforge.net)

Field Summary
`static JRExporterParameter` | `CREATE_CUSTOM_PALETTE` A boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.
`static JRExporterParameter` | `FORMAT_PATTERNS_MAP` This export parameter should be used when converting java format patterns to equivalent proprietary format patterns.
`static JRXlsAbstractExporterParameter` | `IS_AUTO_DETECT_CELL_TYPE` Deprecated. The `IS_DETECT_CELL_TYPE` offers more consistent numerical cell detection.
`static JRXlsAbstractExporterParameter` | `IS_COLLAPSE_ROW_SPAN` Flag for collapsing row span and avoid merging cells across rows.
`static JRXlsAbstractExporterParameter` | `IS_DETECT_CELL_TYPE` Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.
`static JRXlsAbstractExporterParameter` | `IS_FONT_SIZE_FIX_ENABLED` Flag for decreasing font size so that texts fit into the specified cell height.
`static JRXlsAbstractExporterParameter` | `IS_IGNORE_CELL_BACKGROUND` Flag for ignoring the cell background color.
`static JRXlsAbstractExporterParameter` | `IS_IGNORE_CELL_BORDER` Flag for ignoring the cell border.
`static JRXlsAbstractExporterParameter` | `IS_IGNORE_GRAPHICS` Flag for ignoring graphic elements and exporting text elements only.
`static JRXlsAbstractExporterParameter` | `IS_IMAGE_BORDER_FIX_ENABLED` Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.
`static JRXlsAbstractExporterParameter` | `IS_ONE_PAGE_PER_SHEET` A boolean value specifying whether each report page should be written in a different XLS sheet
`static JRXlsAbstractExporterParameter` | `IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` A boolean value specifying whether the empty spaces that could appear between columns should be removed or not.
`static JRXlsAbstractExporterParameter` | `IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` A boolean value specifying whether the empty spaces that could appear between rows should be removed or not.
`static JRXlsAbstractExporterParameter` | `IS_WHITE_PAGE_BACKGROUND` A boolean value specifying whether the page background should be white or the default XLS background color.
`static JRExporterParameter` | `MAXIMUM_ROWS_PER_SHEET` An integer value specifying the maximum number of rows allowed to be shown in a sheet.
`static JRXlsAbstractExporterParameter` | `PASSWORD` A String value representing the password in case of password protected documents
`static java.lang.String` | `PROPERTY_COLLAPSE_ROW_SPAN` Property whose value is used as default state of the `IS_COLLAPSE_ROW_SPAN` export flag.
`static java.lang.String` | `PROPERTY_CREATE_CUSTOM_PALETTE` Property whose value is used as default state of the `CREATE_CUSTOM_PALETTE` export flag.
`static java.lang.String` | `PROPERTY_DETECT_CELL_TYPE` Property whose value is used as default state of the `IS_DETECT_CELL_TYPE` export flag.
`static java.lang.String` | `PROPERTY_FONT_SIZE_FIX_ENABLED` Property whose value is used as default state of the `IS_FONT_SIZE_FIX_ENABLED` export flag.
`static java.lang.String` | `PROPERTY_IGNORE_CELL_BACKGROUND` Property whose value is used as default state of the `IS_IGNORE_CELL_BACKGROUND` export flag.
`static java.lang.String` | `PROPERTY_IGNORE_CELL_BORDER` Property whose value is used as default state of the `IS_IGNORE_CELL_BORDER` export flag.
`static java.lang.String` | `PROPERTY_IGNORE_GRAPHICS` Property whose value is used as default state of the `IS_IGNORE_GRAPHICS` export flag.
`static java.lang.String` | `PROPERTY_IMAGE_BORDER_FIX_ENABLED` Property whose value is used as default state of the `IS_IMAGE_BORDER_FIX_ENABLED` export flag.
`static java.lang.String` | `PROPERTY_MAXIMUM_ROWS_PER_SHEET` Property whose value is used as default of the `MAXIMUM_ROWS_PER_SHEET` export parameter.
`static java.lang.String` | `PROPERTY_ONE_PAGE_PER_SHEET` Property whose value is used as default state of the `IS_ONE_PAGE_PER_SHEET` export flag.
`static java.lang.String` | `PROPERTY_PASSWORD` Property whose value is used as default value of the `PASSWORD` export parameter.
`static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` Property whose value is used as default state of the `IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` export flag.
`static java.lang.String` | `PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` Property whose value is used as default state of the `IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` export flag.
`static java.lang.String` | `PROPERTY_SHEET_NAMES_PREFIX` Property prefix used in order to identify a set of properties holding sheet names, very useful when indicating sheet names in the jrxml template is required.
`static java.lang.String` | `PROPERTY_WHITE_PAGE_BACKGROUND` Property whose value is used as default state of the `IS_WHITE_PAGE_BACKGROUND` export flag.
`static java.lang.String` | `PROPERTY_WRAP_TEXT` Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_WRAP_TEXT`.
`static JRXlsAbstractExporterParameter` | `SHEET_NAMES` An array of strings representing custom sheet names.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRXlsAbstractExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IS_ONE_PAGE_PER_SHEET

    public static final JRXlsAbstractExporterParameter IS_ONE_PAGE_PER_SHEET

  A boolean value specifying whether each report page should be written in a different XLS sheet

### PROPERTY_ONE_PAGE_PER_SHEET

    public static final java.lang.String PROPERTY_ONE_PAGE_PER_SHEET

  Property whose value is used as default state of the `IS_ONE_PAGE_PER_SHEET` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

    public static final JRXlsAbstractExporterParameter IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

  A boolean value specifying whether the empty spaces that could appear between rows should be removed or not.

### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

    public static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS

  Property whose value is used as default state of the `IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

    public static final JRXlsAbstractExporterParameter IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

  A boolean value specifying whether the empty spaces that could appear between columns should be removed or not.

### PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

    public static final java.lang.String PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS

  Property whose value is used as default state of the `IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_WHITE_PAGE_BACKGROUND

    public static final JRXlsAbstractExporterParameter IS_WHITE_PAGE_BACKGROUND

  A boolean value specifying whether the page background should be white or the default XLS background color. This background may vary depending on the XLS viewer properties or the operating system color scheme.

### PROPERTY_WHITE_PAGE_BACKGROUND

    public static final java.lang.String PROPERTY_WHITE_PAGE_BACKGROUND

  Property whose value is used as default state of the `IS_WHITE_PAGE_BACKGROUND` export flag.

  This property is set by default (`true`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_AUTO_DETECT_CELL_TYPE

    public static final JRXlsAbstractExporterParameter IS_AUTO_DETECT_CELL_TYPE

  Deprecated. The `IS_DETECT_CELL_TYPE` offers more consistent numerical cell detection.
  A boolean value specifying whether the exporter should try to automatically detect cell types based on the cell value.

### IS_DETECT_CELL_TYPE

    public static final JRXlsAbstractExporterParameter IS_DETECT_CELL_TYPE

  Flag used to indicate whether the exporter should take into consideration the type of the original text field expressions and set the cell types and values accordingly.

  Text fields having numerical or date expressions save type and formatting (format pattern, locale and time zone) information in the `JasperPrint`/`JRPrintText` object created by the report fill process.

  When this flag is set, the exporter will parse back the `String` value of numerical/date texts. Numerical/date cells will be created and the original pattern of the text will be included as part of the cell style.

  Note that this mechanism would not work when the text field overflows and splits on two pages/columns. Also, it is required that the text field expression has a numerical or date type set.

  This flag is off by default to ensure backwards compatibility.

### PROPERTY_DETECT_CELL_TYPE

    public static final java.lang.String PROPERTY_DETECT_CELL_TYPE

  Property whose value is used as default state of the `IS_DETECT_CELL_TYPE` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### SHEET_NAMES

    public static final JRXlsAbstractExporterParameter SHEET_NAMES

  An array of strings representing custom sheet names. This is useful when used with the IS_ONE_PAGE_PER_SHEET parameter.

### PROPERTY_SHEET_NAMES_PREFIX

    public static final java.lang.String PROPERTY_SHEET_NAMES_PREFIX

  Property prefix used in order to identify a set of properties holding sheet names, very useful when indicating sheet names in the jrxml template is required. These properties' values are collected in an ordered list, therefore it is important the order they are written in. If set, these values are considered as defaults for the `SHEET_NAMES` export parameter.

  A property starting with this prefix can hold one or many sheet names. In order to be well parsed, sheet names contained in such a property's value should be separated by a slash character ("/")

  These properties are by default not set.

  See Also:
    `JRProperties`, Constant Field Values

### IS_FONT_SIZE_FIX_ENABLED

    public static final JRXlsAbstractExporterParameter IS_FONT_SIZE_FIX_ENABLED

  Flag for decreasing font size so that texts fit into the specified cell height.

### IS_IMAGE_BORDER_FIX_ENABLED

    public static final JRXlsAbstractExporterParameter IS_IMAGE_BORDER_FIX_ENABLED

  Flag for forcing the minimum image padding to 1 pixel, to avoid situations where the image hides the cell border.

### PROPERTY_FONT_SIZE_FIX_ENABLED

    public static final java.lang.String PROPERTY_FONT_SIZE_FIX_ENABLED

  Property whose value is used as default state of the `IS_FONT_SIZE_FIX_ENABLED` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### PROPERTY_IMAGE_BORDER_FIX_ENABLED

    public static final java.lang.String PROPERTY_IMAGE_BORDER_FIX_ENABLED

  Property whose value is used as default state of the `IS_IMAGE_BORDER_FIX_ENABLED` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### FORMAT_PATTERNS_MAP

    public static final JRExporterParameter FORMAT_PATTERNS_MAP

  This export parameter should be used when converting java format patterns to equivalent proprietary format patterns. It should be constructed as a Map containing java format patterns as keys and the correspondent proprietary format pattern as correspondent value

  See Also:
    `HSSFDataFormat`, `NumberFormat`

### MAXIMUM_ROWS_PER_SHEET

    public static final JRExporterParameter MAXIMUM_ROWS_PER_SHEET

  An integer value specifying the maximum number of rows allowed to be shown in a sheet. When set, a new sheet is created for the remaining rows to be displayed. Negative values or zero means that no limit has been set.

### PROPERTY_MAXIMUM_ROWS_PER_SHEET

    public static final java.lang.String PROPERTY_MAXIMUM_ROWS_PER_SHEET

  Property whose value is used as default of the `MAXIMUM_ROWS_PER_SHEET` export parameter.

  This property is by default to zero.

  See Also:
    `JRProperties`, Constant Field Values

### IS_IGNORE_GRAPHICS

    public static final JRXlsAbstractExporterParameter IS_IGNORE_GRAPHICS

  Flag for ignoring graphic elements and exporting text elements only.

### PROPERTY_IGNORE_GRAPHICS

    public static final java.lang.String PROPERTY_IGNORE_GRAPHICS

  Property whose value is used as default state of the `IS_IGNORE_GRAPHICS` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_COLLAPSE_ROW_SPAN

    public static final JRXlsAbstractExporterParameter IS_COLLAPSE_ROW_SPAN

  Flag for collapsing row span and avoid merging cells across rows.

### PROPERTY_COLLAPSE_ROW_SPAN

    public static final java.lang.String PROPERTY_COLLAPSE_ROW_SPAN

  Property whose value is used as default state of the `IS_COLLAPSE_ROW_SPAN` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_IGNORE_CELL_BORDER

    public static final JRXlsAbstractExporterParameter IS_IGNORE_CELL_BORDER

  Flag for ignoring the cell border.

### PROPERTY_IGNORE_CELL_BORDER

    public static final java.lang.String PROPERTY_IGNORE_CELL_BORDER

  Property whose value is used as default state of the `IS_IGNORE_CELL_BORDER` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### IS_IGNORE_CELL_BACKGROUND

    public static final JRXlsAbstractExporterParameter IS_IGNORE_CELL_BACKGROUND

  Flag for ignoring the cell background color.

### PROPERTY_IGNORE_CELL_BACKGROUND

    public static final java.lang.String PROPERTY_IGNORE_CELL_BACKGROUND

  Property whose value is used as default state of the `IS_IGNORE_CELL_BACKGROUND` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

### PASSWORD

    public static final JRXlsAbstractExporterParameter PASSWORD

  A String value representing the password in case of password protected documents

### PROPERTY_PASSWORD

    public static final java.lang.String PROPERTY_PASSWORD

  Property whose value is used as default value of the `PASSWORD` export parameter.

  This property is by default not set (`null`).

  See Also:
    `JRProperties`, Constant Field Values

### PROPERTY_WRAP_TEXT

    public static final java.lang.String PROPERTY_WRAP_TEXT

  Deprecated. Replaced by `JRXlsAbstractExporter.PROPERTY_WRAP_TEXT`.
  See Also:
    Constant Field Values

### CREATE_CUSTOM_PALETTE

    public static final JRExporterParameter CREATE_CUSTOM_PALETTE

  A boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.

  The default state of this flag is given by the `net.sf.jasperreports.export.xls.create.custom.palette` property.

  The colors used in the result XLS are determined in the following manner:
  1. If this flag is not set, the nearest color from the standard XLS palette is chosen for a report color.
  2. If the flag is set, the nearest not yet modified color from the palette is chosen and modified to exactly match the report color. If all the colors from the palette are modified (the palette has a fixed size), the nearest color from the palette is chosen for further report colors.

  See Also:
    `PROPERTY_CREATE_CUSTOM_PALETTE`

### PROPERTY_CREATE_CUSTOM_PALETTE

    public static final java.lang.String PROPERTY_CREATE_CUSTOM_PALETTE

  Property whose value is used as default state of the `CREATE_CUSTOM_PALETTE` export flag.

  This property is by default not set (`false`).

  See Also:
    `JRProperties`, Constant Field Values

Constructor Detail

### JRXlsAbstractExporterParameter

    protected JRXlsAbstractExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com